
QGIS Application - Bug report #17401

GetFeatureInfo does not work with spaces encoded as '+'s

2017-11-06 10:16 AM - Éric Lemoine

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25298

Description

The QWC2 web client, and possibly other OGC clients, encode spaces as '+'s. QGIS Server (master) does not support that encoding.

For example this query:

http://37.187.164.233:8080/nightly_master_qgisserver?MAP=/tmp/qgisserver/qgis-server-tutorial-data/world_custom.qgs&SERV

ICE=WMS&REQUEST=GetFeatureInfo&WIDTH=400&HEIGHT=400&CRS=EPSG:4326&LAYERS=countries

copy&QUERY_LAYERS=countries+copy&I=10&J=10

does not work with QGIS Server master.

That's a regression. The same query works with QGIS Server 2.18.

Associated revisions

Revision ac24c4a3 - 2017-11-09 10:30 AM - Paul Blottiere

Fixes #17401 by replacing '+' symbol by space

Revision 022f6cfd - 2017-11-09 04:01 PM - Paul Blottiere

Merge pull request #5515 from pblottiere/server_bugfix_plusspace

[server][bugfix]  Fixes #17401 by replacing '+' symbol by space

History

#1 - 2017-11-07 12:10 PM - Paul Blottiere

- Assignee set to Paul Blottiere

#2 - 2017-11-09 04:01 PM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ac24c4a37ea8e299bb935ce364297a5093ae47e8.
